#
# spec file for package sil-gentium-fonts
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           sil-gentium-fonts
Version:        5.000
Release:        6.1
Summary:        A International Typeface for Languages Using the Latin Script
License:        OFL-1.1
Group:          System/X11/Fonts
Url:            http://scripts.sil.org/cms/scripts/page.php?site_id=nrsi&item_id=Gentium
Source0:        GentiumPlus-%{version}.zip
Source1:        GentiumBasic_110.zip
BuildRequires:  fontpackages-devel
BuildRequires:  unzip
%reconfigure_fonts_prereq
Provides:       GentiumBasic
Provides:       GentiumPlus
Provides:       locale(vi)
# FIXME: This causes a rpmlint warning; change <= to < once there's a new upstream version
Obsoletes:      gentium <= 1.508
Provides:       gentium = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Gentium is a typeface family designed to enable the diverse ethnic
groups around the world who use the Latin script to produce readable,
high-quality publications. It supports a wide range of Latin-based
alphabets and includes glyphs that correspond to all the Latin ranges
of Unicode.

%prep
%setup -T -c %{name} -n %{name}
unzip -j %{SOURCE0}
unzip -j -n %{SOURCE1}
chmod 644 *.txt *.ttf
# Remove DOS line endings:
for i in *.txt; do
 sed -i 's/.$//' $i
done

%build

%install
mkdir -p %{buildroot}%{_ttfontsdir}/
install -c -m 644 *.ttf %{buildroot}%{_ttfontsdir}

%reconfigure_fonts_scriptlets

%files
%defattr(-, root,root)
%doc *.txt
%{_ttfontsdir}

%changelog
* Thu Jul 16 2015 cornelis@solcon.nl
- Gentium Plus 5.000 (major update):
  * Includes official Unicode codepoints for all PUA characters
    which were added to Unicode 6.1 and 7.0.
  * Many new Latin and Cyrillic character were added.
  * Stylistic Sets and Characters Variants were added.
* Fri Aug 17 2012 toms@opensuse.org
- Added GentiumBasic (110) to have regular, bold, italic, and
  bold+italic
- Gentium Plus 1.510 (maintenance release)
  Change in the Graphite feature identifiers from integers to
  4-character alphanumeric tags. This was required because although
  Mozilla Firefox has now implemented support for Graphite, feature
  identifiers only work if they are 4-character alphanumeric tags
* Wed Jul  4 2012 pgajdos@suse.cz
- amend spec file to reflect new font packaging scheme
  (see openFATE#313536);
* Thu May 17 2012 pgajdos@suse.com
- call spec-cleaner
* Wed Dec 21 2011 toms@suse.de
- Renamed gentium -> sil-gentium-fonts according to
  openSUSE packaging guidelines and FATE#313035
  Adjusted Obsoletes and Provides accordingly
- SPEC file:
  Corrected DOS line endings in text files
* Mon Nov 21 2011 cfarrell@suse.com
- license update: OFL-1.1
  Use SPDX format (http://www.spdx.org/licenses - look for SIL Open Font
  License)
* Mon Nov 21 2011 coolo@suse.com
- update to Gentium Plus 1.508
  Minor update that includes official Unicode codepoints for all
  PUA characters which were added to Unicode 5.2 and 6.0
* Thu Jun 23 2011 mrdocs@opensuse.org
- don't remove the buildroot in install, its not needed
* Thu Jun 23 2011 bachinchi@gmail.com
- update to 1.504
  Minor bug fix for Cyrillic.
* Thu Apr  8 2010 tiwai@suse.de
- removed unnecessary buildrequires for too old distros
* Fri Mar 30 2007 ro@suse.de
- added unzip to buildreq
* Wed Aug  9 2006 mfabian@suse.de
- move fonts to /usr/share/fonts/truetype
  (openSUSE 10.2 will use X11R7).
* Wed Mar  1 2006 mfabian@suse.de
- add "Provides: locale(vi)".
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 24 2006 mfabian@suse.de
- update to 1.02.
- new license! "SIL Open Font License (OFL)", see also:
  http://scripts.sil.org/cms/scripts/page.php?site_id=nrsi&item_id=OFL
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Fri Dec  3 2004 mfabian@suse.de
- use new macro "%%run_suseconfig_fonts".
* Thu Mar 18 2004 mfabian@suse.de
- use %%suseconfig_fonts_prereq
* Fri Feb 27 2004 mfabian@suse.de
- update to 1.01
- run SuSEconfig.fonts and SuSEconfig.pango in %%post and %%postun
* Tue Apr 29 2003 mfabian@suse.de
- new package: gentium, Version 1
